/* CSS Variables */
:root {
  --primary: rgb(240, 176, 176);
  --dark: rgb(0, 0, 0);
  --light: rgb(253, 253, 253);
  --shadow: 0 1px 5px rgba(0, 0, 0, 0.8);
}

  
  html {
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--dark);
  }
  
  body {
    background-image: url('../images/index.JPG');
    position:center;
    margin: 30px 50px;
    line-height: 1.4;
  }
  
  header{
    margin-top: 2rem;
    background:rgb(240, 176, 176);
    color: var(--light);
    text-align: center;
    padding: 1rem;
    font-family: 'Satisfy', cursive;
    font-size: 50px;
  }

  .btn {
    background: var(--dark);
    color: var(--light);
    padding: 0.6rem 1.3rem;
    text-decoration: none;
    border: 0;
  }
  
  img {
    max-width: 100%;
  }
  
  .wrapper {
    display: grid;
    grid-gap: 20px;
    top: 20px;
  }
  
  /* Navigation */
  .main-nav ul {
    display: grid;
    grid-gap: 20px;
    padding: 0;
    list-style: none;
    grid-template-columns: repeat(4, 1fr);
  }
  
  .main-nav a {
    display: block;
    text-decoration: none;
    padding: 0.8rem;
    text-align: center;
    text-transform: uppercase;
    font-size: 1.1rem;
    box-shadow: var(--shadow);
    background-image: linear-gradient(to right, #a1c4fd 0%, #c2e9fb 51%, #a1c4fd 100%);
    font-family: 'Shadows Into Light', cursive;
  }
  
  .main-nav a:hover {
    background-position: right center;
    background-image: linear-gradient(to right, #ffecd2 0%, #fcb69f 51%, #ffecd2 100%);
    color: var(--light);
  }
  
  /* Top Container */
  .top-container {
    display: center;
    grid-gap: 20px;
    grid-template-areas:
  }
  
  /* Showcase */
  .showcase {
    grid-area: showcase;
    min-height: 400px;
    background: url('../images/aboutme.JPG');
    background-size: cover;
    background-position: center;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    box-shadow: var(--shadow);
    font-family: 'Pacifico', cursive;
  }
  
  .showcase h1 {
    font-size: 4rem;
    margin-bottom: 0;
    color: var(--light);
  }
  
  .showcase p {
    font-size: 1.3rem;
    margin-top: 0;
    color: var(--light);
  }
  
  /*Animation -Text*/
  .showcase h1.sign {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 50%;
    background-image: radial-gradient(
      ellipse 50% 35% at 50% 50%,
      #6b1839,
      transparent
    );
    transform: translate(-50%, -50%);
    letter-spacing: 2;
    left: 50%;
    top: 50%;
    font-family: "Clip";
    text-transform: uppercase;
    font-size: 6em;
    color: #ffe6ff;
    text-shadow: 0 0 0.6rem #ffe6ff, 0 0 1.5rem #ff65bd,
      -0.2rem 0.1rem 1rem #ff65bd, 0.2rem 0.1rem 1rem #ff65bd,
      0 -0.5rem 2rem #ff2483, 0 0.5rem 3rem #ff2483;
    animation: shine 2s forwards, flicker 3s infinite;
  }
  
  @keyframes blink {
    0%,
    22%,
    36%,
    75% {
      color: #ffe6ff;
      text-shadow: 0 0 0.6rem #ffe6ff, 0 0 1.5rem #ff65bd,
        -0.2rem 0.1rem 1rem #ff65bd, 0.2rem 0.1rem 1rem #ff65bd,
        0 -0.5rem 2rem #ff2483, 0 0.5rem 3rem #ff2483;
    }
    28%,
    33% {
      color: #ff65bd;
      text-shadow: none;
    }
    82%,
    97% {
      color: #ff2483;
      text-shadow: none;
    }
  }
  
  .flicker {
    animation: shine 2s forwards, blink 3s 2s infinite;
  }
  
  .fast-flicker {
    animation: shine 2s forwards, blink 10s 1s infinite;
  }
  
  @keyframes shine {
    0% {
      color: #6b1839;
      text-shadow: none;
    }
    100% {
      color: #ffe6ff;
      text-shadow: 0 0 0.6rem #ffe6ff, 0 0 1.5rem #ff65bd,
        -0.2rem 0.1rem 1rem #ff65bd, 0.2rem 0.1rem 1rem #ff65bd,
        0 -0.5rem 2rem #ff2483, 0 0.5rem 3rem #ff2483;
    }
  }
  
  @keyframes flicker {
    from {
      opacity: 1;
    }
  
    4% {
      opacity: 0.9;
    }
  
    6% {
      opacity: 0.85;
    }
  
    8% {
      opacity: 0.95;
    }
  
    10% {
      opacity: 0.9;
    }
  
    11% {
      opacity: 0.922;
    }
  
    12% {
      opacity: 0.9;
    }
  
    14% {
      opacity: 0.95;
    }
  
    16% {
      opacity: 0.98;
    }
  
    17% {
      opacity: 0.9;
    }
  
    19% {
      opacity: 0.93;
    }
  
    20% {
      opacity: 0.99;
    }
  
    24% {
      opacity: 1;
    }
  
    26% {
      opacity: 0.94;
    }
  
    28% {
      opacity: 0.98;
    }
  
    37% {
      opacity: 0.93;
    }
  
    38% {
      opacity: 0.5;
    }
  
    39% {
      opacity: 0.96;
    }
  
    42% {
      opacity: 1;
    }
  
    44% {
      opacity: 0.97;
    }
  
    46% {
      opacity: 0.94;
    }
  
    56% {
      opacity: 0.9;
    }
  
    58% {
      opacity: 0.9;
    }
  
    60% {
      opacity: 0.99;
    }
  
    68% {
      opacity: 1;
    }
  
    70% {
      opacity: 0.9;
    }
  
    72% {
      opacity: 0.95;
    }
  
    93% {
      opacity: 0.93;
    }
  
    95% {
      opacity: 0.95;
    }
  
    97% {
      opacity: 0.93;
    }
  
    to {
      opacity: 1;
    }
  }
  


  /* Top Box */
  .top-box {
    background: var(--primary);
    display: grid;
    align-items: center;
    justify-items: center;
    box-shadow: var(--shadow);
    padding: 1.5rem;
  }
  
  .top-box .price {
    font-size: 2.5rem;
  }
  
  .top-box-a {
    grid-area: top-box-a;
  }
  
  .top-box-b {
    grid-area: top-box-b;
  }
  
  /* Boxes */
  .boxes {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  }
  
  .box {
    background: var(--primary);
    text-align: center;
    padding: 1.5rem 2rem;
    box-shadow: var(--shadow);
  }
  
  /* Info */
  .info {
    background: var(--primary);
    box-shadow: var(--shadow);
    display: grid;
    grid-gap: 30px;
    grid-template-columns: repeat(2, 1fr);
    padding: 3rem;
    font-family: 'Shadows Into Light', cursive;
  }
  
  /* Portfolio */
  .portfolio {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  }
  
  .portfolio img {
    width: 100%;
    box-shadow: var(--shadow);
  }
  
  /* Footer */
  footer {
    margin-top: 2rem;
    background: var(--dark);
    color: var(--light);
    text-align: center;
    padding: 1rem;
  }
  
  /* Media Queries */
  @media (max-width: 700px) {
    .top-container {
      grid-template-areas:
        'showcase showcase'
        'top-box-a top-box-b';
    }
  
    .showcase h1 {
      font-size: 2.5rem;
    }
  
    .main-nav ul {
      grid-template-columns: 1fr;
    }
  
    .info {
      grid-template-columns: 1fr;
    }
  
    .info .btn {
      display: block;
      text-align: center;
      margin: auto;
    }
  }
  
  @media (max-width: 500px) {
    .top-container {
      grid-template-areas:
        'showcase'
        'top-box-a'
        'top-box-b';
    }
  }
  